Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthorizationStateWaitRegistration

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthorizationState
it.tdlight.jni.TdApi.AuthorizationStateWaitRegistration

Enclosing class:
  TdApi

public static final class TdApi.AuthorizationStateWaitRegistration extends TdApi.AuthorizationState
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.TermsOfService`
`termsOfService`
Telegram terms of service.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationStateWaitRegistration()`
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration.
`AuthorizationStateWaitRegistration(TdApi.TermsOfService termsOfService)`
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration.
`AuthorizationStateWaitRegistration(DataInput input)`
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### termsOfService

public TdApi.TermsOfService termsOfService
Telegram terms of service.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AuthorizationStateWaitRegistration

public AuthorizationStateWaitRegistration()
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.

### AuthorizationStateWaitRegistration

public AuthorizationStateWaitRegistration(TdApi.TermsOfService termsOfService)
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.

Parameters:
  `termsOfService` - Telegram terms of service.

### AuthorizationStateWaitRegistration

public AuthorizationStateWaitRegistration(DataInput input) throws IOException
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration. Call registerUser to accept the terms of service and provide the data.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`